org.springframework.messaging.handler.annotation

## Interface ValueConstants

    public interface ValueConstants

Common annotation value constants.

Since:
  4.0
Author:
  Rossen Stoyanchev

### Field Summary

Fields
`static String` `DEFAULT_NONE` Constant defining a value for no default - as a replacement for `null` which we cannot use in annotation attributes.

### Field Detail

#### DEFAULT_NONE

    static final String DEFAULT_NONE

Constant defining a value for no default - as a replacement for `null` which we cannot use in annotation attributes.

This is an artificial arrangement of 16 unicode characters, with its sole purpose being to never match user-declared values.

See Also:
  `Header.defaultValue()`, Constant Field Values